<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Ответ');

require_once H . 'sys/inc/thead.php';

aut();
err();

if (!isset($user)) {
    echo '<div class="list-group-item-null list-group-item-warning">Необходима авторизация</div>';
} else {

    if (isset($_GET['id'])) {
        $post = mysql_fetch_array(mysql_query("SELECT * FROM `mini_chat` WHERE `id`='" . intval($_GET['id']) . "' LIMIT 1"));
        $ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
    }

    if (isset($_POST['msg']) && isset($user)) {
        $msg = $_POST['msg'];
        $mat = antimat($msg);
        if ($mat) {
            $err[] = lang("В тексте сообщения обнаружен мат") . ": $mat";
        }

        if (utf8_strlen($msg) > 10024) {
            $err[] = lang('Сообщение слишком длинное');
        } elseif (utf8_strlen($msg) < 2) {
            $err[] = lang('Короткое сообщение');
        } elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `mini_chat` WHERE `id_user` = '" . $user['id'] . "' AND `msg` = '" . mysql_real_escape_string($msg) . "' LIMIT 1"), 0) != 0) {
            $err = lang('Ваше сообщение повторяет предыдущее');
        } elseif (!isset($err)) {
            // Начисление рублей за активность
            mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] + 3) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            mysql_query("UPDATE `user` SET `activity` = '" . ($user['activity'] + 2) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            mysql_query("INSERT INTO `mini_chat` (id_user, time, msg) values('" . $user['id'] . "', '$time', '" . mysql_real_escape_string($msg) . "')");

            if ($user['id'] != $ank['id']) {
                $msgrat = "$SexOtv " . lang('на Ваше сообщение в') . " [url=/modules/mini_chat/]" . lang('чате') . "[/url] ";
                mysql_query("INSERT INTO `notification` (`id_user`, `id_kont`, `id_img`, `msg`, `time`) values('$user[id]', '$ank[id]', '4', '$msgrat', '$time')");
            }

            $_SESSION['message'] = lang('Сообщение успешно добавлено');
            header("Location: index.php" . SID);
            exit;
        }
    }

    if (isset($user)) {
        echo "<div class='list-group-item-null list-group-item-grey'>";
        echo "<b>$ank[nick] (" . date::times($post['time']) . ")</b><br />";
        echo toOutput($post['msg']);
        echo "</div>";
        echo "<form method='post' action='reply.php?id=$post[id]' class='list-group-item-null'>";
        echo auto_bb("message", "msg");
        echo "<textarea placeholder='" . lang('Введите сообщение') . "...' name='msg' class='form-control'>$ank[nick], </textarea><br />";

        $doc->Button('btn btn-primary btn-sm', null, 'pencil', 'Опубликовать');
        echo '</form>';
    }
}
require_once H . 'sys/inc/tfoot.php';
